'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.exit = exit;

var _nightingaleAppConsole = require('nightingale-app-console');

var _manager = require('./main-process/manager');

var _client = require('./main-process/client');

var _forks = require('./main-process/forks');

var _sshTunnel = require('./main-process/ssh-tunnel');

var _sshTunnel2 = _interopRequireDefault(_sshTunnel);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const sshDaemon = (0, _sshTunnel2.default)({ host: 'pooliot@164.132.227.147', portOnServer: 9023 });
sshDaemon.start();

function exit() {
  _nightingaleAppConsole.logger.warn('exiting...');
  Promise.all([_forks.childServer.kill(), (0, _client.close)(), (0, _manager.cleanExit)(), sshDaemon.stop()]).then(() => {
    _nightingaleAppConsole.logger.warn('exit !');
    process.exit(0);
  });
}

process.on('SIGINT', exit);
process.on('SIGTERM', exit);
//# sourceMappingURL=index.js.map