import { logger } from 'nightingale-app-console/src';
import { cleanExit } from './main-process/manager';
import { close as clientClose } from './main-process/client';
import { childServer } from './main-process/forks';
import createSshDaemon from './main-process/ssh-tunnel';

const sshDaemon = createSshDaemon({ host: 'pooliot@164.132.227.147', portOnServer: 9023 });
sshDaemon.start();

export function exit() {
  logger.warn('exiting...');
  Promise.all([childServer.kill(), clientClose(), cleanExit(), sshDaemon.stop()]).then(() => {
    logger.warn('exit !');
    process.exit(0);
  });
}

process.on('SIGINT', exit);
process.on('SIGTERM', exit);
